package com.xylink.sdk.dating;

import com.fasterxml.jackson.databind.ObjectMapper;
import com.xylink.config.SDKConfigMgr;
import com.xylink.model.ReminderMeeting;
import com.xylink.util.HttpUtil;
import com.xylink.util.Result;
import com.xylink.util.SignatureSample;
import java.io.IOException;
import java.util.Map;

/**
 * Created by maolizhi on 12/16/2016.
 */
public class WechatApi {
    private static SignatureSample signatureSample = new SignatureSample();
    private static final String prefixUrl = "/api/rest/external/v1/";

    /**
     * schedule a meeting,if success,the date type of Result is "String",the date value is meeting id;if not ,
     * the date type of Result is "RestMessage"
     * @param enterpriseId
     * @param token
     * @param reminderMeeting
     * @return
     * @throws IOException
     */
    public Result remindMeeting(String enterpriseId, String token, ReminderMeeting reminderMeeting, int maxParticipantCount,long meetingOwnerId)
            throws IOException {
        String surl = getPrefixUrl(enterpriseId)  + "wechat/meetingreminders?enterpriseId=" + enterpriseId + "&maxParticipant=" + maxParticipantCount+"&meetingOwnerId="+meetingOwnerId;
        String jsonEntity = new ObjectMapper().writeValueAsString(reminderMeeting);
        String signature = signatureSample.computeSignature(jsonEntity,"POST",token,surl);
        surl += "&signature=" + signature;
        return HttpUtil.getResponse(surl,"POST", jsonEntity,Map.class);

    }

    private String getPrefixUrl(String enterpriseId) {
        return SDKConfigMgr.getServerHost(enterpriseId) + prefixUrl;
    }
}
