package com.xylink.sdk.test;

import com.xylink.config.SDKConfigMgr;
import com.xylink.model.BuffetUserDto;
import com.xylink.model.EnterpriseToken;
import com.xylink.user.BuffetUserApi;
import com.xylink.util.HttpUtil;
import com.xylink.util.Result;
import org.junit.BeforeClass;
import org.junit.Test;

import java.io.IOException;
import java.util.*;

/**
 * Created by changxiangyang on 2017/11/1.
 */
public class BuffetUserTest extends EnterpriseConfig{

    @Test
    public void batchAdd(){
        BuffetUserApi bua=new BuffetUserApi();
        List<BuffetUserDto> buffetUserDtoList=new ArrayList<BuffetUserDto>();
        BuffetUserDto buffetUserDto=new BuffetUserDto();
        buffetUserDto.setName("敦也");
        buffetUserDto.setPhone("17683937222");
        buffetUserDto.setMailbox("feiliwushi@sina.com");
        buffetUserDto.setCountryCode("+86");
        buffetUserDto.setAvatar("http://we.com/0_0.jpg");
        buffetUserDto.setDept("销售部");
        buffetUserDto.setPassword("234567");
        buffetUserDtoList.add(buffetUserDto);
        BuffetUserDto buffetUserDto1=new BuffetUserDto();
        buffetUserDto1.setName("飞镖超人");
        buffetUserDto1.setPhone("15811043786");
        buffetUserDto1.setMailbox("xiangtai@sina.com");
        buffetUserDto1.setCountryCode("+86");
        buffetUserDto1.setAvatar("http://we.com/343.jpg");
        buffetUserDto1.setDept("销售部");
        buffetUserDto1.setPassword("255555");
        buffetUserDtoList.add(buffetUserDto1);
        try {
            Result<Set> userInfos = bua.batchAdd(buffetUserDtoList, enterpriseId, token);
            int errStatus =userInfos.getErrorStatus();
            if (errStatus<300) {
                System.out.println("batchAddUserInfo测试成功！");
            }else {
                System.out.println("batchAddUserInfo测试失败！");
            }
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }
    //    @Test
    public void get(){
        BuffetUserApi bua=new BuffetUserApi();
        try {
            Result<List> userInfo= bua.get("fadfadfadfasdfadsfasdfa", "fsdfasjdfkajfkadfajdfajf");
            int errStatus =userInfo.getErrorStatus();
            if (errStatus<300) {
                System.out.println("getUserInfo测试成功！");
            }else {
                System.out.println("getUserInfo测试失败！");
            }
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }
    @Test
    public void add(){
        BuffetUserApi bua=new BuffetUserApi();
        BuffetUserDto buffetUserDto=new BuffetUserDto();
        buffetUserDto.setUserId("babfa25d253b4d498cdc561dfcc5220b");
        buffetUserDto.setName("魏康尔测试");
        buffetUserDto.setPhone("13501296562");
        buffetUserDto.setCountryCode("+86");
        buffetUserDto.setMailbox("98319966@qq.com");//xiangtai@sina.com
        buffetUserDto.setAvatar("");
        buffetUserDto.setDept("");
        buffetUserDto.setPassword("");
        try {
            Result<Map> userInfo= bua.add(buffetUserDto, enterpriseId, token);
            int errStatus =userInfo.getErrorStatus();
            if (errStatus<300) {
                System.out.println("addUserInfo测试成功！");
                System.out.println(userInfo);
            }else {
                System.out.println("addUserInfo测试失败！");
            }
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }
    @Test
    public void update(){
        BuffetUserApi bua=new BuffetUserApi();
        BuffetUserDto buffetUserDto=new BuffetUserDto();
        buffetUserDto.setName("敦已");
        buffetUserDto.setPhone("15811043667");
        buffetUserDto.setMailbox("dunda@sina.com");
        buffetUserDto.setCountryCode("+86");
        try {
            Result result= bua.update(buffetUserDto, "fadfadfadfasdfadsfasdfa", "fsdfasjdfkajfkadfajdfajf");
            int errStatus =result.getErrorStatus();
            if (errStatus<300) {
                System.out.println("updateUserInfo测试成功！");
            }else {
                System.out.println("updateUserInfo测试失败！");
            }
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }
    //    @Test
    public void delete(){
        BuffetUserApi bua=new BuffetUserApi();
        try {
            Result result= bua.delete("fadfadfadfasdfadsfasdfa", "fsdfasjdfkajfkadfajdfajf" ,"", "");
            int errStatus =result.getErrorStatus();
            if (errStatus<300) {
                System.out.println("deleteUserInfo测试成功！");
            }else {
                System.out.println("deleteUserInfo测试失败！");
            }
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }

    @Test
    public void getUserInfoByPage(){
        BuffetUserApi bua=new BuffetUserApi();
        try {
            Result result= bua.getUserInfoByPage(enterpriseId,token,0,20);
            System.out.println(result);
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }

    @Test
    public void getUserInfoByMailOrPhone(){
        BuffetUserApi bua=new BuffetUserApi();
        BuffetUserDto buffetUserDto = new BuffetUserDto();
//        buffetUserDto.setMailbox("1220872648@qq.com");
        buffetUserDto.setCountryCode("+86");
        buffetUserDto.setPhone("17665255672");
        try {
            Result result= bua.getUserInfoByMailOrPhone(enterpriseId,token,buffetUserDto);
            System.out.println(result);
        }catch (IOException e){
            System.out.println("testEnd--"+e);
        }
    }

}
