package com.xylink.sdk.test;

import com.xylink.model.VodInfo;
import com.xylink.model.callback.CallbackEvent;
import com.xylink.model.callback.ExternalCallback;
import com.xylink.model.callback.RosterCallback;
import com.xylink.sdk.callback.CallBacksApi;
import com.xylink.util.Result;
import org.junit.Test;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.fail;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2018-08-02
 */
public class CallbacksTest extends EnterpriseConfig{

    @Test
    public void getExternalCallbacks(){
        CallBacksApi callBacksApi = new CallBacksApi();
        Result<ExternalCallback[]> result = null;
        try{
            result = callBacksApi.getExternalCallbacks(enterpriseId, token);
            System.out.println(result);
        }catch(Exception e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);

    }

    @Test
    public void regExternalCallback(){
        CallBacksApi callBacksApi = new CallBacksApi();
        Result<ExternalCallback[]> result = null;
        try{
            ExternalCallback externalCallback = new ExternalCallback(CallbackEvent.LiveStatus, "");
            result = callBacksApi.regExternalCallback(enterpriseId, token, externalCallback);
            System.out.println(result);
        }catch(Exception e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);

    }

    @Test
    public void updateExternalCallbacks(){
        CallBacksApi callBacksApi = new CallBacksApi();
        Result<ExternalCallback[]> result = null;
        try{
            ExternalCallback externalCallback = new ExternalCallback(CallbackEvent.LiveStatus, "123");
            result = callBacksApi.updateExternalCallback(enterpriseId, token, externalCallback);
            System.out.println(result);
        }catch(Exception e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);

    }

    @Test
    public void removeExternalCallback(){
        CallBacksApi callBacksApi = new CallBacksApi();
        Result<ExternalCallback[]> result = null;
        try{
            result = callBacksApi.removeExternalCallback(enterpriseId, token, CallbackEvent.LiveStatus);
            System.out.println(result);
        }catch(Exception e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);

    }

    @Test
    public void getRosterCallbacks(){
        CallBacksApi callBacksApi = new CallBacksApi();
        Result<RosterCallback[]> result = null;
        try{
            result = callBacksApi.getRosterCallbacks(enterpriseId, token);
            System.out.println(result);
        }catch(Exception e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);

    }

    @Test
    public void regRosterCallback(){
        String confNumber = "9000392313";
        CallBacksApi callBacksApi = new CallBacksApi();
        Result<RosterCallback[]> result = null;
        try{
            RosterCallback rosterCallback = new RosterCallback(confNumber, CallbackEvent.ConferenceRosterInfo, "https://www.xylink.com");
            result = callBacksApi.regRosterCallback(enterpriseId, token, confNumber, rosterCallback);
            System.out.println(result);
        }catch(Exception e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);

    }

    @Test
    public void removeRosterCallback(){
        String confNumber = "9000392313";
        CallBacksApi callBacksApi = new CallBacksApi();
        Result<RosterCallback[]> result = null;
        try{
            result = callBacksApi.removeRosterCallback(enterpriseId, token, confNumber);
            System.out.println(result);
        }catch(Exception e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);

    }
}
