package com.xylink.sdk.test;

import com.xylink.config.SDKConfigMgr;
import com.xylink.model.ConferenceMeetingRoom;
import com.xylink.model.MeetingInfo;
import com.xylink.model.Pager;
import com.xylink.sdk.conferenceControl.CloudMeetingRoomApi;
import com.xylink.sdk.conferenceControl.CreateMeetingApi;
import com.xylink.util.Result;
import org.junit.BeforeClass;
import org.junit.Test;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;

import static org.junit.Assert.fail;

/**
 * Created with IntelliJ IDEA.
 * Description:
 * User: gzm
 * Date: 2018-12-21
 */
public class CloudMeetingRoomTest extends EnterpriseConfig {

    @BeforeClass
    public static void setup() {
//        SDKConfigMgr.setServerHost("http://172.20.11.63:8080");
//        SDKConfigMgr.setServerHost("http://127.0.0.1:8081");
        SDKConfigMgr.setServerHost("https://testdevsdk.xylink.com");
    }

    @Test
    public void testGetCloudMeetingRooms() {
        CloudMeetingRoomApi cloudMeetingRoomApi = new CloudMeetingRoomApi();
        String type = "SDK";
        int page = 0;
        int size = 20;
        Result<Pager<ConferenceMeetingRoom>> result=null;

        try {
            result = cloudMeetingRoomApi.getCloudMeetingRooms(enterpriseId, token, type, page, size);
            System.out.println(result);
        } catch (IOException e) {
            fail(e.getMessage());
        }
    }


    @Test
    public void meetingRoomPropertyUpdate() {
        CloudMeetingRoomApi cloudMeetingRoomApi = new CloudMeetingRoomApi();
        Map configs = new HashMap<String,Object>();
        configs.put("enableContentRecordMode",0);
        try {
            Result result = cloudMeetingRoomApi.meetingRoomPropertyUpdate(enterpriseId, token, meetingRoomNumber,configs);
            System.out.println(result);
            CreateMeetingApi cma=new CreateMeetingApi();
            Result re = cma.getMeetingInfo(enterpriseId, token, meetingRoomNumber);
            System.out.println("更新后查询到的云会议室：" + re);
        } catch (IOException e) {
            fail(e.getMessage());
        }
    }
}
