package com.xylink.sdk.test;


import com.xylink.config.SDKConfigMgr;
import com.xylink.model.*;
import com.xylink.model.statis.SdkMeetingExportDto;
import com.xylink.model.statis.SdkParticipantExportDto;
import com.xylink.sdk.conferenceControl.MeetingStatisticApi;
import com.xylink.util.Result;
import org.junit.BeforeClass;
import org.junit.Test;

import java.io.IOException;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.fail;

/**
 * Created by xinzhixuan on 2018-12-20.
 */
public class MeetingStatisticTest extends EnterpriseConfig{

    private static SdkMeeting sdkMeeting = null;

    //  按会议时间导出会议详情
    @Test
    public void getByTime() {

        MeetingStatisticApi meetingStatisticApi = new MeetingStatisticApi();
        Result<ListData<SdkMeetingExportDto>> result = null;
        try {
            result = meetingStatisticApi.getByTime(enterpriseId, token, 1544692961700L, 1544694761700L);
            System.out.println(result);
        }catch (IOException e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);
    }

    @Test
    public void getByParticipant(){
        MeetingStatisticApi meetingStatisticApi = new MeetingStatisticApi();
        Result<ListData<SdkParticipantExportDto>> result = null;
        try {
            result = meetingStatisticApi.getByParticipant(enterpriseId, token, 1544692961700L, 1544694761700L);
            System.out.println(result);
        }catch (IOException e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);
    }

    @Test
    public void getByNemoNumber(){
        MeetingStatisticApi meetingStatisticApi = new MeetingStatisticApi();
        Result<Pager> result = null;
        try {
            result = meetingStatisticApi.getByNemoNumber(enterpriseId, token, 1554342208000l, 1559785408000l,"243546");
            System.out.println(result);
        }catch (IOException e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);
    }

    @Test
    public void getByMeetingId(){
        MeetingStatisticApi meetingStatisticApi = new MeetingStatisticApi();
        Result<Pager> result = null;
        try {
            result = meetingStatisticApi.getByMeetingId(enterpriseId, token, "1149247592383");
            System.out.println(result);
        }catch (IOException e){
            fail(e.getMessage());
        }
        int errStatus = result.getErrorStatus();
        assertEquals(200, errStatus);
    }

}
